Rumor: iOS 5 won't run on Apple's iPhone 3GS – Apple Insider

A new rumor claims that Apple’s next-generation mobile operating system, iOS 5, won’t run on the iPhone 3GS first released in 2009 and still sold as the entry-level iPhone. The claims stem from a Twitter post from Mobile-Review.com editor Eldar Murtazin …

Source:Rumor: iOS 5 won't run on Apple's iPhone 3GS – Apple Insider

0 replies

Leave a Reply

Want to join the discussion?
Feel free to contribute!

Leave a Reply